> ## Documentation Index
> Fetch the complete documentation index at: https://cometchat-22654f5b-docs-angular-v5-docs-update.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

> Update a CometChat moderation rule by ruleId with REST API to change content checks, actions, or rule conditions.

# Update Rule



## OpenAPI

````yaml put /moderation/rules/{ruleId}
openapi: 3.0.0
info:
  title: Chat APIs
  description: Manage messages, users, groups for a particular app using our Chat API.
  version: '3.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: API Keys
    description: The API keys are used to authorise the APIs
  - name: Roles
    description: The roles are used to give user access rights
  - name: Users
    description: The REST collection for users.
  - name: Auth Tokens
    description: The auth tokens are used to login end users using client SDKs.
  - name: Blocked Users
    description: The REST collections for blocked users.
  - name: Friends
    description: List,add and remove friends by passing UID in path variables
  - name: Groups
    description: The REST collections for groups.
  - name: Banned Users
    description: Ban and Unban user by passing other UID in path variables.
  - name: Group Members
    description: The REST collections for group members.
  - name: Messages
    description: The REST collections for messages.
  - name: Conversations
    description: The REST collections for conversations.
  - name: Restrict Features
    description: Allows Restricting Features
  - name: Metrics
    description: Allows accessing Data Metrics
  - name: Triggers
    description: Allows adding triggers to a webhook.
  - name: Webhooks
    description: Allows accessing Webhooks.
  - name: Notifications
    description: Allows configuring Notifications core.
paths:
  /moderation/rules/{ruleId}:
    put:
      tags:
        - Moderation
      summary: Update Rule
      description: Update an existing moderation rule with new actions or conditions.
      operationId: update-rule
      parameters:
        - $ref: bdd44449-3415-4c98-8621-a438d75c8af7
        - $ref: eb8af1b4-d1c5-4104-b698-ace31da8b21a
        - $ref: 2b4ece7a-1864-457f-a686-bc6cdb5d5c7e
        - $ref: dce5194f-5ce8-48f2-a1a4-1822cef8b09c
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: b1534907-a1a4-4e4e-8a5c-a13edc4e6201
      responses:
        '200':
          description: Update Rule
          content:
            application/json:
              schema:
                properties:
                  data:
                    properties:
                      '':
                        $ref: '#/components/schemas/webhookSchema'
                    type: object
                type: object
              example:
                data:
                  id: moderation-test
                  name: Video Moderation
                  description: AI-powered video moderation to detect unsafe content.
                  enabled: true
                  conditions:
                    - id: 1
                      isKeywordsReferencePresent: false
                      isMediaPresent: true
                      entity: message
                      operand: image
                      category: word
                      operator: contains
                      value:
                        - violence_greaterThan_30
                      message:
                        - >-
                          Image contains violence with confidence greater than
                          30
                  action:
                    - blockMessage
                  active: true
                  createdAt: 1720003247
                  updatedAt: 1720003247
                  revisionId: 253179cf5f665257_moderation-test_1
components:
  schemas:
    webhookSchema:
      description: Response data
      properties:
        id:
          type: string
        name:
          type: string
        webhookURL:
          type: string
        useBasicAuth:
          type: boolean
        username:
          type: string
        password:
          type: string
        enabled:
          type: boolean
        createdAt:
          type: integer
        updatedAt:
          type: integer
      type: object

````